#!/usr/bin/env node
'use strict';

var _TaskRunner = require('./TaskRunner');

var _TaskRunner2 = _interopRequireDefault(_TaskRunner);

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var collectPips = function collectPips(value, list) {
    var splitted = value.split('=');
    list[splitted[0]] = splitted[1];
    return list;
};

_commander2.default.version('1.3.1').option('-p, --pretend', 'only output resulting structure without packaging').option('--pip [value]', 'if default files for custom PIPs are used, use this parameter to specify the default', collectPips, {}).option('-d, --destination [value]', 'The path the resulting archive will be saved to (defaults to cwd)', '.').option('-q, --quiet', 'omit any output').parse(process.argv);

(function (program) {
    // Run the program.
    new _TaskRunner2.default({
        gzip: program.gzip,
        pips: program.pip,
        quiet: program.quiet,
        cwd: process.cwd(),
        destination: program.destination
    }).run();
})(_commander2.default);